<?php

namespace App\Http\Controllers;

use App\Models\CostoUnitarioAjustado;
use Illuminate\Http\Request;

class CostoUnitarioAjustadoController extends Controller
{
    public function getCostoUnitarioAjustado(Request $request) {
        return CostoUnitarioAjustado::on('costos_principal')
                                    ->where('con_fk_id', $request->input('con_fk_id'))
                                    ->where('ins_fk_id', $request->input('ins_fk_id'))
                                    ->where('cua_ano', $request->input('cua_ano'))
                                    ->where('cua_mes', $request->input('cua_mes'))
                                    ->get()->toArray();
    }
}
